summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Elvio Basello <hellvis69@gmail.com>2014-09-12 01:58:39 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2014-09-12 01:58:39 +0700
commit46cc8cc26ba1408bc332a5691506d6f49da4dd15 (patch)
tree9c10899169b42f0fd532d4850363c668123c83bf
parent46d8ba08499d50fd3ea8a188bbda93076a291464 (diff)
downloadslackbuilds-46cc8cc26ba1408bc332a5691506d6f49da4dd15.tar.gz
slackbuilds-46cc8cc26ba1408bc332a5691506d6f49da4dd15.tar.xz
network/x2goclient: Added (X2Go Remote Desktop solution).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
-rw-r--r--network/x2goclient/README12
-rw-r--r--network/x2goclient/doinst.sh3
-rw-r--r--network/x2goclient/slack-desc19
-rw-r--r--network/x2goclient/x2goclient.SlackBuild124
-rw-r--r--network/x2goclient/x2goclient.info10
5 files changed, 168 insertions, 0 deletions
diff --git a/network/x2goclient/README b/network/x2goclient/README
new file mode 100644
index 0000000000..499824ee76
--- /dev/null
+++ b/network/x2goclient/README
@@ -0,0 +1,12 @@
+X2Go enables you to access a graphical desktop of a computer over
+a low bandwidth (or high bandwidth) connection.
+X2Go is a Remote Desktop solution, which is not to be confused
+with Microsoft Remote Desktop Connection.
+You can connect from a computer running Linux, Windows or MacOS X.
+Multiple users/clients can access a single X2Go Server at the same
+time, with each user/client having an individual Desktop session
+by default; however, desktop sharing is possible.
+This is the client.
+
+If you want to build also the nsplugin, run the script with:
+PLUGIN=1 ./x2goclient.SlackBuild
diff --git a/network/x2goclient/doinst.sh b/network/x2goclient/doinst.sh
new file mode 100644
index 0000000000..5fb28930db
--- /dev/null
+++ b/network/x2goclient/doinst.sh
@@ -0,0 +1,3 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
diff --git a/network/x2goclient/slack-desc b/network/x2goclient/slack-desc
new file mode 100644
index 0000000000..ea68a07c5e
--- /dev/null
+++ b/network/x2goclient/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+x2goclient: x2goclient (X2Go Remote Desktop solution - client part)
+x2goclient:
+x2goclient: X2Go enables you to access a graphical desktop of a computer over a
+x2goclient: low bandwidth (or high bandwidth) connection.
+x2goclient: X2Go is a Remote Desktop solution, which is not to be confused with
+x2goclient: Microsoft Remote Desktop Connection.
+x2goclient: You can connect from a computer running Linux, Windows or MacOS X.
+x2goclient: Multiple users/clients can access a single X2Go Server at the same
+x2goclient: time, with each user/client having an individual Desktop session by
+x2goclient: default; however, desktop sharing is possible.
+x2goclient: This is the client.
diff --git a/network/x2goclient/x2goclient.SlackBuild b/network/x2goclient/x2goclient.SlackBuild
new file mode 100644
index 0000000000..d653a35335
--- /dev/null
+++ b/network/x2goclient/x2goclient.SlackBuild
@@ -0,0 +1,124 @@
+#!/bin/sh
+
+# Slackware build script for x2goclient
+
+# Copyright 2014 Elvio "HelLViS69" Basello <hellvis69@gmail.com>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=x2goclient
+VERSION=${VERSION:-4.0.1.6}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+qmake x2goclient.pro
+make
+
+# There is no "make install" target.. so bad.. we have to move stuff manually
+mkdir -p $PKG/usr/bin $PKG/usr/share/applications
+cp $TMP/$PRGNAM-$VERSION/x2goclient $PKG/usr/bin
+cp $TMP/$PRGNAM-$VERSION/desktop/x2goclient.desktop $PKG/usr/share/applications
+
+# Install icons
+PIXMAPS=$PKG/usr/share/pixmaps/x2goclient
+mkdir -p $PIXMAPS/16x16 $PIXMAPS/22x22 $PIXMAPS/32x32 $PIXMAPS/48x48 $PIXMAPS/64x64 \
+ $PIXMAPS/128x128 $PIXMAPS/hildon
+cp $TMP/$PRGNAM-$VERSION/icons/16x16/* $PIXMAPS/16x16
+cp $TMP/$PRGNAM-$VERSION/icons/22x22/* $PIXMAPS/22x22
+cp $TMP/$PRGNAM-$VERSION/icons/32x32/* $PIXMAPS/32x32
+cp $TMP/$PRGNAM-$VERSION/icons/48x48/* $PIXMAPS/48x48
+cp $TMP/$PRGNAM-$VERSION/icons/64x64/* $PIXMAPS/64x64
+cp $TMP/$PRGNAM-$VERSION/icons/128x128/* $PIXMAPS/128x128
+cp $TMP/$PRGNAM-$VERSION/icons/hildon/* $PIXMAPS/hildon
+cp $TMP/$PRGNAM-$VERSION/icons/x2go-win-48.ico $PIXMAPS
+cp $TMP/$PRGNAM-$VERSION/icons/x2go-mac.icns $PIXMAPS
+cp $TMP/$PRGNAM-$VERSION/icons/x2goclient.xpm $PIXMAPS
+
+# Install man
+mkdir -p $PKG/usr/man/man1
+gzip -c $TMP/$PRGNAM-$VERSION/man/man1/x2goclient.1 > $PKG/usr/man/man1/x2goclient.1.gz
+
+# Install plugin
+if [ ! -z $PLUGIN ]; then
+ # Binary and plugin are mutually excludable, so we need to recompile all stuff
+ make clean
+ X2GO_CLIENT_TARGET=plugin qmake x2goclient.pro
+ make
+ mkdir -p $PKG/etc/x2go/plugin-provider $PKG/usr/share/x2go/plugin \
+ $PKG/usr/lib${LIBDIRSUFFIX}/nsbrowser/plugins
+ cp $TMP/$PRGNAM-$VERSION/libx2goplugin.so $PKG/usr/lib${LIBDIRSUFFIX}/nsbrowser/plugins
+ cp $TMP/$PRGNAM-$VERSION/provider/etc/x2goplugin-apache.conf $PKG/etc/x2go
+ cp $TMP/$PRGNAM-$VERSION/provider/share/x2goplugin.html $PKG/etc/x2go/plugin-provider
+ cp $TMP/$PRGNAM-$VERSION/provider/share/x2goplugin.html $PKG/usr/share/x2go/plugin
+fi
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/network/x2goclient/x2goclient.info b/network/x2goclient/x2goclient.info
new file mode 100644
index 0000000000..eb7f895117
--- /dev/null
+++ b/network/x2goclient/x2goclient.info
@@ -0,0 +1,10 @@
+PRGNAM="x2goclient"
+VERSION="4.0.1.6"
+HOMEPAGE="http://www.x2go.org"
+DOWNLOAD="http://code.x2go.org/releases/source/x2goclient/x2goclient-4.0.1.6.tar.gz"
+MD5SUM="53bc410efd9400f8a06d4215a6e568ed"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Elvio Basello (HelLViS69)"
+EMAIL="hellvis69@gmail.com"